Computing Atlas

How Computing Was Built
Sign In
Text size
100%
Theme
Algorithm

MD2 (hash function)

Cryptographic Algorithm

MD2 is a cryptographic message-digest algorithm that takes a message of any length and produces a 128-bit fingerprint, or digest, of it. Its design is described in RFC 1319, published in April 1992 by B. Kaliski of RSA Laboratories, which updated an earlier description in RFC 1115 from August 1989 and states that the description is based on material prepared by John Linn and Ron Rivest. The algorithm works on bytes in a fixed series of steps: the message is first padded with i bytes of value i until its length is a multiple of 16 bytes, a 16-byte checksum is then appended, and the padded message is processed to yield the digest. The RFC intended MD2 for digital signature applications, where a large file must be compressed in a secure manner before being signed with a private key under a public-key system such as RSA. The document is now marked Historic and was obsoleted by RFC 6149.

Connections

Credited To

Ron Rivest, Pioneers
Source MD2 (hash function) (Wikipedia)

In Field

Cryptography, Fields
Source RFC 1319: The MD2 Message-Digest Algorithm

Invented By

Ron Rivest, Pioneers
Source MD2 (hash function) (Wikipedia)
Sources
RFC 1319: The MD2 Message-Digest Algorithm
  • In Group: Cryptographic Hash Function, 1. Executive Summary
    This document describes the MD2 message-digest algorithm.
  • In Field: Cryptography, 1. Executive Summary
    This document describes the MD2 message-digest algorithm.
View the Source
MD2 (hash function) (Wikipedia)
  • Invented By: Ron Rivest, Lead
    The MD2 Message-Digest Algorithm is an obsolete cryptographic hash function developed by Ronald Rivest in 1989.
  • Credited To: Ron Rivest, Lead
    The MD2 Message-Digest Algorithm is an obsolete cryptographic hash function developed by Ronald Rivest in 1989.
View the Source
Comments (0)
No comments yet. Be the first to share a thought.
Reader Challenges (0)
No disputes yet. Spotted an error or a better source? Open the first one.